Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 469613

Summary: Review Request: gnue-appserver - GNU Enterprise Application Server
Product: [Fedora] Fedora Reporter: Aaron S. Hawley <aaronh>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: aaron.s.hawley, fedora-package-review, notting
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-11-02 21:17:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 201449    

Description Aaron S. Hawley 2008-11-03 06:24:45 UTC
Spec URL: http://agave.garden.org/~aaronh/rpm/gnue-appserver.spec
SRPM URL: http://agave.garden.org/~aaronh/rpm/gnue-appserver-0.5.2-1.src.rpm

Description: 
This is a the follow-up to the gnue-commons Review Request.  Bug #439310

The GNU Enterprise Application Server is the core of the n-tier
variant of the GNU Enterprise system.  To the front end (be it GNUe
Forms, GNUe Reports or any other tool), it provides user-definable
business objects with arbitrary fields and methods.  While transforming
access to those fields and methods into database communication and
calling of scripts, it cares about stability, security, speed, and
consistency.

A good test of the package is to make sure the application service starts.  Further testing requires a package to connect to the application server as a data source.  Here are simple instructions for setting up the application server.  They require the gnue-forms package that is not in Fedora (yet!).

http://fedoraproject.org/wiki/Getting_started_with_GNUe_Appserver

sha1sums:
8f653a0f2f4c0cc84664faec91f5a352aa840361  gnue-appserver-0.5.2.tar.gz
e2c38663789762910269388510956d7bd1df3c66  gnue-appserver-0.5.2-1.src.rpm

Comment 1 Aaron S. Hawley 2009-04-22 15:04:56 UTC
My email address has changed.

Comment 2 Jason Tibbitts 2009-11-08 02:37:23 UTC
Just checking old review tickets.  This one fails to build because patch1 fails to apply.  Please clear the whiteboard when you have a fixed package.

Comment 3 Jason Tibbitts 2010-01-25 23:29:00 UTC
This is still marked as not building and as a bonus the URLs are 404. I'll close it soon if that's not rectified.

Comment 4 Aaron S. Hawley 2010-01-26 00:49:13 UTC
If there's interest in getting this reviewed, I can try to find time to generate a new build for rawhide (or F12) sometime next week.